/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


:root {
	--whiteColor: #FFF;
	--eColor: #eee;
	--dColor: #DDD;
	--cColor: #CCC;
	--darkColor: #333;

	--mainColor: #3b97d0;
	--secondColor: #83c1e7;
	--thirdColor: #1a425b;
	--lightColor: #f3f8fc;
}

body{
	background-color: inherit;
}

/* marge */
.gb-inside, 
.inside-header{
	padding-left:20px !important;
	padding-right:20px !important;
}

/* btn */
.btn, 
.site-header .secondary-menu li a, 
.footer .wp-block-column:first-child ul li a{
	margin:0px !important;
	text-transform: uppercase !important;
	font-size: .9rem !important;
	font-weight:900 !important;
	font-family: Lato, sans-serif !important;
	padding: 10px 20px !important;
	text-decoration: none;
	display: inline-block;
}

.fullMainBtn{
	background-color: var(--mainColor) !important;
	color: var(--whiteColor) !important;
	transition: all .3s ease-in-out;
}
.fullMainBtn:hover, 
.secondary-navigation .main-nav ul li a:hover, 
.footer .wp-block-column:first-child ul li a:hover{
	background-color: var(--thirdColor) !important;
}
.fullSecondBtn,
.footer .wp-block-column:first-child ul li:first-child a{
	background-color: var(--secondColor) !important;
	color: var(--whiteColor) !important;

}

.fullWhiteBtn, 
.footer .wp-block-column:first-child ul li:last-child a{
	background-color: var(--whiteColor);
	color: var(--mainColor);
}

.footer .wp-block-column:first-child ul li:last-child a:hover{
	background-color: var(--whiteColor) !important;
	color: var(--secondColor) !important;
}

.fullDarkBtn {
	background-color: var(--darkColor) !important;
	color: var(--whiteColor) !important;
}

/* highlight */
.gb-highlight{
	color: var(--secondColor) !important;
}

/* mobile reverse */
@media (max-width: 768px) {
	.mobileReverse{
		flex-direction:column-reverse;
	}
}

/* mobileHide */
@media (max-width: 768px) {
	.mobileHide {
		display: none;
	}
}

/*  reverseBlock */
.reverseBlock .gb-grid-column:nth-child(2n) .wp-block-columns{
	flex-direction: row-reverse;
}

/* header */
.site-header{
	border-top:10px solid var(--mainColor);
}
.inside-header{
	padding: 50px 20px;
}

.site-header .secondary-menu{
	display: flex;
	flex-direction: row-reverse;
}
.secondary-navigation{
	background-color: inherit !important;
}

.secondary-navigation .main-nav ul li a {
	background-color: var(--mainColor);
	color: var(--whiteColor);
	font-weight:900 !important;
	font-family: Lato, sans-serif !important;
	font-size: 1rem !important;
	padding: 15px 30px !important;
	line-height: initial !important;
}

.secondary-navigation .main-nav ul li:last-child a{
	background-color: var(--whiteColor) !important;
	color: var(--cColor) !important;
}
@media (max-width: 768px){
	.secondary-navigation .menu-toggle{
		display: none !important;
	}
	.secondary-navigation .main-nav{
		height:50px;
	}
		.secondary-navigation #menu-menucontact_fr{
		display: block;
	}
}

/* menuMain */


.inside-navigation, 
#primary-menu{
	display: block !important;
	width:100%;
}
#primary-menu #menu-menumain_fr {
	width: 100%;
	flex-wrap: nowrap;
	justify-content: space-between;
	position: relative;
	margin-bottom:-30px;
	height:60px;
	z-index: 22;
	background-color: var(--mainColor);
}
#primary-menu #menu-menumain_fr li.noText{
	position: relative;
	width:60px;
	height:60px;
	display: flex; 
	align-items: center;
	justify-content:center;
	color: var(--whiteColor);
}
#primary-menu #menu-menumain_fr li.noText:first-child {
	background-color: var(--secondColor);
}
#primary-menu #menu-menumain_fr li.noText:last-child {
	background-color: var(--thirdColor);
}

#primary-menu #menu-menumain_fr li.noText a{
	opacity:0;
	z-index:11;
	position: absolute; 
	top:0px;
	left:0px;
	width:100%;
	height:100%;
}

#primary-menu #menu-menumain_fr li:before{
	display: flex;
	text-align: center;
	justify-content: center;
}

#primary-menu #menu-menumain_fr li a {
	color: var(--whiteColor);
}
#primary-menu #menu-menumain_fr li.current_page_item a, 
#primary-menu #menu-menumain_fr li.current-page-ancestor a,
#primary-menu #menu-menumain_fr li a:hover {
	color: var(--secondColor);
}

@media (max-width: 768px) {
	#primary-menu #menu-menumain_fr{
		height:auto;
	}
	#primary-menu #menu-menumain_fr li.noText {
		position: relative;
		width: auto;
		height: auto;
		display: flex;
		align-items: center;
		justify-content: center;
		color: var(--whiteColor);
	}
	#primary-menu #menu-menumain_fr li.noText {
		background-color: inherit;
	}
	#primary-menu #menu-menumain_fr li.noText:before {
		content: inherit;
	}
	#primary-menu #menu-menumain_fr li.noText a {
		opacity:1;
		z-index:auto;
		position: relative; 
		top:0px;
		left:0px;
		width:100%;
		height:100%;
		color: var(--whiteColor);
	}

}

/* titlePage */
.titlePage .breadcrumbs{
	position: relative;
	z-index: 11;
	margin-top:10px;
}
.titlePage .breadcrumbs, 
.titlePage .breadcrumbs a{
	color: var(--whiteColor);
	text-decoration: none;
	text-transform: uppercase;
	font-size: .9em;
	letter-spacing: 1px;
}
.titlePage .breadcrumbs a{
	color: var(--mainColor);
	position: relative;
	z-index: 1;
}
.titlePage .breadcrumbs a:after{
	background-color: var(--secondColor);
	content: "";
	width: 100%;
	height: 0%;
	position: absolute;
	z-index: 0;
	opacity: .3;
	transition: all .3s ease-in-out;
	top: 100%;
	left: 0px;
}
.titlePage .breadcrumbs a:hover:after {
	height: 50%;
	top: 50%;
}

/* slideMarque */
.slideMarque figure{
	height: calc(100% - 60px);
	width: auto;
	margin: 30px;
}
@media (max-width: 768px) {
	.slideMarque figure{
		height: 60px;
		width: auto;
		margin: 30px auto;
		text-align:center;
	}
	.slideMarque figure img{
		height:100%;
		width:auto;
	}
}



/* content */
.wp-block-columns .wp-block-column:nth-child(2) .lineTitle{
	padding-left: 60px;
}
.wp-block-columns .wp-block-column:nth-child(1) .lineTitle {
	padding-right: 60px;
}
.lineElm{
	position: relative;
}
.lineElm:before{
	content:"";
	width:120px;
	height:8px;
	background-color: var(--mainColor);
	position: absolute; 
	bottom:10px;
	z-index: 11;
}

.wp-block-columns .wp-block-column:nth-child(2) .lineTitle .lineElm:before{
	left:-160px;
}
.wp-block-columns .wp-block-column:nth-child(1) .lineTitle .lineElm:before {
	right: -160px;
}

@media (max-width: 768px) {
	.lineElm:before {
		content: inherit;
	}
		.wp-block-columns .wp-block-column .lineTitle {
			padding-left: 0px !important;
			padding-right:0px !important;
		}

}

/* contactInfoBtn */
.contactInfoBtn{
	list-style: none;
	display: flex;
	margin:0px;
	padding:0px;
}

.contactInfoBtn.row{
	flex-direction: row;
}

.contactInfoBtn.column {
	flex-direction: column;
}

.slideHome .contactInfoBtn li:first-child a{
	padding: 10px 20px;
	display: inline-block;
	background-color: var(--secondColor);
	text-decoration: none;
	margin-bottom:20px;
	font-weight: 900;
}
.slideHome .contactInfoBtn li a {
	color: var(--whiteColor);
}

.contactBlock .contactInfoBtn li a {
	color: var(--whiteColor);
	padding: 10px 20px;
	display: inline-block;
	margin: 0px 20px;
	text-decoration: none;
	font-weight:900;
	text-transform: uppercase;
	background-color: var(--mainColor);
}

.contactBlock .contactInfoBtn li:last-child a{
	background-color: var(--darkColor);
}
@media (max-width: 768px) {
	.contactInfoBtn.row {
		flex-direction: column;
	}
	.contactInfoBtn.row li{
		margin-bottom:10px;
	}
}

/* homepage */

.slideHome .slideHomeSlogan strong{
	position: relative;
	font-weight:900 !important;
	color: var(--secondColor) !important;
	z-index: 1;
}
.slideHome .slideHomeSlogan strong:before{
	position: absolute; 
	bottom:0px;
	left:0px;
	width:100%;
	height:50%;
	background-color: var(--mainColor);
	content: "";
	z-index:-1;
	opacity:.5;
}
.servicesHome{
	overflow: hidden;
}
.servicesBlock{
	position: relative;
	padding:50px;
}
.servicesBlock > *{
	position: relative;
	z-index: 1;
}

.servicesBlock:before{
	content:"";
	position: absolute; 
	z-index:0;
	top:0px;
	left:0px;
	width:200%;
	height:100%;
	background-color: var(--lightColor);
}


.servicesBlock .gb-query-loop-item .gb-container{
	background:transparent;
}

.servicesBlock .gb-container .gb-headline a{
	text-decoration: none;
	color: var(--mainColor) !important;
}

.mainServiceIcon, 
.mainServiceIcon svg{
	width:50px;
	height:50px;
	fill: var(--mainColor);
}

/* footer */


.footer:after{
	content: "";
	z-index: -1;
	width:66%;
	height:100%;
	display: block;
	position: absolute; 
	top:0px;
	left:33% !important;
	background-color: var(--mainColor);
}

.footer .wp-block-column:first-child h2 a {
	text-decoration: none;
}

.footer .wp-block-column:first-child ul {
	margin:0px;
	padding:0px;
	list-style: none;
}
.footer .wp-block-column:first-child ul li:first-child{
	margin-bottom:20px;
}
.footer .wp-block-column:first-child ul li a{
	font-weight: 900 !important;
}

.footer .wp-block-column+.wp-block-column h3{
	font-weight:900 !important;
	font-size:1.125rem !important;
	color: var(--whiteColor);
	text-transform: uppercase;
}

.footer .wp-block-column + .wp-block-column .footerMenu{
	margin:0px;
	padding:0px;
	list-style: none;
}
.footer .wp-block-column+.wp-block-column .footerMenu li{
	position: relative;
}
.footer .wp-block-column+.wp-block-column .footerMenu li:before{
	content: "";
	position: absolute; 
	top:20px;
	left:0px;
	width:10px;
	height:10px;
	background-color: var(--whiteColor);
	opacity: 0;
}
.footer .wp-block-column+.wp-block-column .footerMenu li a{
	padding: 10px 20px;
	display: block;
	color: var(--whiteColor);
	text-decoration: none;
}
.footer .wp-block-column+.wp-block-column .footerMenu li.current_page_item:before, 
.footer .wp-block-column+.wp-block-column .footerMenu li.current-page-ancestor:before {
	opacity: 1;
}

#menu-menulegal_fr{
	display: flex;
	flex-direction: row;
	justify-content: flex-end;
	list-style: none;
}
#menu-menulegal_fr li a {
	display: block;
	margin-left: 20px;
	color: var(--darkColor);
	text-decoration: none;
}
#menu-menulegal_fr li a:hover {
	text-decoration: underline;
}

@media (max-width: 768px) {
	.footer:after{
		content: "";
		z-index: -1;
		width:100%;
		height:100%;
		display: block;
		position: absolute; 
		top:0px;
		left:0% !important;
		background-color: var(--mainColor);
	}
	.footer:before {
		background-position: bottom right !important;
		background-size: auto !important;
	}
	.footer .wp-block-column:first-child{
		background-color: var(--whiteColor);
		padding: 0px 50px;
	}
	#menu-menulegal_fr{
		justify-content: center;
	}
}